#
security:
  oauth2:
    client:
      client-id: liankong  #客户端id
      client-secret: 123456 #客户端的密钥
      scope: server
      ignore-urls:    #忽略鉴权地址
        - /actuator/**
        - /v2/api-docs
    resource:
      loadBalanced: true
      token-info-uri: http://liankong-user-auth/oauth/check_token #鉴权请求地址
spring:
  mvc:
    throw-exception-if-no-handler-found: true
  profiles:
      active: test
  application:
    name: liankong-user-auth
  cloud:
    nacos:
      server-addr: nacos.scfile.cn:8848
      discovery:

        namespace: liankong
        username: liankong
        password:  liankong2020
        group: v1
      config:
        file-extension: yaml
        server-addr: nacos.scfile.cn:8848
        namespace: liankong
        username: liankong
        password: liankong2020
        group: v1
server:
  port: 9999
